**Action agency**

A federal agency that proposes an action which may affect a listed species or its designated critical habitat, requiring the agency to undergo the process of ESA section 7 consultations. 

**Adverse modification of critical habitat**

An alteration in a species’ critical habitat that negatively impacts the survival and recovery of the listed species.

**Biological Opinion**

A document that includes the official statement from the Federal service(s) as to whether the action in question will jeopardize a listed species or its designated critical habitat based on the best available science. Biological Opinions must include an incidental take statement (ITS). 

**Concurrence**

During the informal consultation process, if efforts are made to eliminate the potential negative effects of the proposed action, the Services will concur in writing that the action is not likely to adversely affect listed species or designated critical habitat.

**Consultation**

A process designed to assist Federal agencies in fulfilling the requirement to “further the conservation of listed species”, as detailed under section 7 of the Endangered Species Act. The consultation process requires Federal agencies to consult with the U.S. Fish and Wildlife Service and/or the National Marine Fisheries Service to ensure that Federal agencies are not engaging in activities that jeopardize a listed species or its designated critical habitat. 

**Consultation reinitiation**

A Biological Opinion will stipulate conditions under which a completed consultation will need to be reinitated, e.g., if the scope of a project changes significantly. FWS will then perform a new biological analysis based on the updated information, and issue a new Biological Opinion and Incidental Take Permit. There is no field in the TAILS database to indicate if a record is a reinitiation, but the title of the consultation may indicate reinitiation.

**Critical habitat**

A specific geographic area containing physical or biological features that are essential to a listed species’ conservation, as defined under section 4 of the Endangered Species Act. Critical habitat may include areas currently inhabited by the species or those that are uninhabited but will be needed for the species’ recovery. 

**Endangered species**

Any species listed as being in danger of extinction throughout a portion of its range.

**Endangered Species Act (ESA)**

An environmental law passed in 1973 intended to protect and recover imperiled species and the ecosystems on which they depend. 

**Endangered Species Committee (“God Squad”)**

A committee with the ability to exempt a federal agency from the section 7 consultation requirements, created through the 1978 amendments to the ESA. The committee is composed of seven Cabinet-level members: The administrator of the Environmental Protection Agency, the administrator of National Oceanic and Atmospheric Administration, the chairman of the Council of Economic Advisers, a representative from the state in question, the Secretary of Agriculture, the Secretary of the Army, and the Secretary of the Interior.

**Formal consultation**

A formal process between the Services and an action agency that determines whether a proposed action will jeopardize a listed species or adversely modify any critical habitat. The formal consultation process includes a biological opinion issued by the Service detailing the effects of the proposed action. 

**FWS**

The United States Fish and Wildlife Service

**Incidental Take**

Any harm to a listed species that results from, but is not the intended purpose of, an action conducted by a federal agency. 

**Incidental Take Statement (ITS)**

A statement detailing the extent of any incidental take resulting from the proposed action. 

**Informal consultation**

A process that includes discussion and correspondence between an action agency and the Services to determine whether a proposed action will affect a listed species or their critical habitat. If the action is likely to adversely affect a listed species or critical habitat, a formal consultation is needed. 

**Jeopardy**

A conclusion of jeopardy is warranted if a federal action as proposed is likely to jeopardize the continued existence of an affected species.

**Likely to adversely affect**

The appropriate conclusion if the proposed action poses any adverse threat to a listed species or critical habitat. A 'likely to adversely affect' conclusion requires the action agency and the Services to undergo a formal consultation to determine whether a listed species will be jeopardized by the action or any adverse modification of critical habitat will occur as a result of the action. 

**May affect**

A 'may affect' conclusion is reached when the proposed action may pose any affect to a listed species or critical habitat. Under a 'may affect' conclusion, the action agency must either undergo a formal consultation or obtain concurrence that the proposed action is not likely to adversely affect the species or critical habitat. 

**NMFS**

The National Marine Fisheries Service

**No effect**

The proposed action will not affect any endangered species or their designated critical habitat and is not required to undergo the formal consultation process. 

**Not likely to adversely affect**

The conclusion reached when the effects of a proposed action are likely to be insignificant, discountable or beneficial to listed species or critical habitat. 

**Reasonable and Prudent Alternatives (RPAs)**

Any alternative actions recommended by the Services during a formal consultation that would avoid the likelihood of jeopardizing a species or critical habitat while maintaining the original scope and purpose of the originally proposed action.  

**Reasonable and Prudent Measures (RPMs)**

Measures taken to minimize the amount or extent of any incidental take incurred by the action.

**Service(s)**

The U.S. Fish and Wildlife Service and/or the National Marine Fisheries Service

**Take**

To 'to harass, harm, pursue, hunt, shoot, wound, kill, trap, capture, or collect or attempt to engage in any such conduct' in regards to a listed species, as detailed under section 9 of the ESA. “Harm” is further defined as 'an act which actually kills or injures wildlife. Such an act may include significant habitat modification or degradation where it actually kills or injures wildlife by significantly impairing essential behavioral patterns, including breeding, feeding, or sheltering.'

